LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XTwoAxisYSupplier Interface Referencepublished

gives access to both the primary and the secondary y-axis of a diagram. More...

`import "XTwoAxisYSupplier.idl";`

Inheritance diagram for XTwoAxisYSupplier:

## Public Member Functions
com::sun::star::beans::XPropertySet | getSecondaryYAxis ()
Public Member Functions inherited from XAxisYSupplier
com::sun::star::drawing::XShape | getYAxisTitle ()
com::sun::star::beans::XPropertySet | getYAxis ()
com::sun::star::beans::XPropertySet | getYHelpGrid ()
com::sun::star::beans::XPropertySet | getYMainGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to both the primary and the secondary y-axis of a diagram.

See also
  XChartDocument

## Member Function Documentation

## ◆ getSecondaryYAxis()

com::sun::star::beans::XPropertySet getSecondaryYAxis | ( |  | ) |

Returns
  the properties of the secondary y-axis of the diagram.

The returned property set contains scaling properties as well as formatting properties.

See also
  ChartAxis

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XTwoAxisYSupplier.idl